Skip to main content
GET
/
invitations
/
{invitationCode}
Get an invitation
curl --request GET \
  --url https://api.guile.app/invitations/{invitationCode} \
  --header 'Authorization: Bearer <token>'
{
  "code": "<string>",
  "type": "shopOwner",
  "state": "created",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

invitationCode
string
required

The unique, opaque system identifier for an invitation.

Required string length: 6
Pattern: ^[A-Z0-9]{6}$

Response

Ok. The operation succeeded.

A resource allowing professional users to join a shop as an owner or a shop location as a barber.

code
string
required

The opaque system identifier for this invitation.

Required string length: 6
Pattern: ^[A-Z0-9]{6}$
type
enum<string>
required

The type of the invitation. This value determines additional properties that are needed for the invitation.

Available options:
shopOwner,
barber
state
enum<string>
required

The state of the invitation.

Available options:
created,
accepted,
rejected
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

barber
object

Shop location information for this invitation